# mios32/MIOSJUCE/include/JUCEmidi.h File Reference

## Functions
long | JUCE_MIDI_Init (long mode)
long | JUCE_MIDI_DirectRxCallback_Init (void *callback_rx)
long | JUCE_MIDI_SendPackage (int port, long package)
long | JUCE_MIDI_SendNoteOn (int port, char chn, char note, char vel)
long | JUCE_MIDI_SendNoteOff (int port, char chn, char note, char vel)
long | JUCE_MIDI_SendPolyPressure (int port, char chn, char note, char val)
long | JUCE_MIDI_SendCC (int port, char chn, char note, char val)
long | JUCE_MIDI_SendProgramChange (int port, char chn, char charprg)
long | JUCE_MIDI_SendAftertouch (int port, char chn, char val)
long | JUCE_MIDI_SendPitchBend (int port, char chn, int val)
long | JUCE_MIDI_SendClock (int port)
long | JUCE_MIDI_SendStart (int port)
long | JUCE_MIDI_SendContinue (int port)
long | JUCE_MIDI_SendStop (int port)

## Function Documentation

long JUCE_MIDI_DirectRxCallback_Init | ( | void * | callback_rx | ) |

long JUCE_MIDI_Init | ( | long | mode | ) |

long JUCE_MIDI_SendAftertouch | ( | int | port,
|  | char | chn,
|  | char | val |
| ) |  |  |

long JUCE_MIDI_SendCC | ( | int | port,
|  | char | chn,
|  | char | note,
|  | char | val |
| ) |  |  |

long JUCE_MIDI_SendClock | ( | int | port | ) |

long JUCE_MIDI_SendContinue | ( | int | port | ) |

long JUCE_MIDI_SendNoteOff | ( | int | port,
|  | char | chn,
|  | char | note,
|  | char | vel |
| ) |  |  |

long JUCE_MIDI_SendNoteOn | ( | int | port,
|  | char | chn,
|  | char | note,
|  | char | vel |
| ) |  |  |

long JUCE_MIDI_SendPackage | ( | int | port,
|  | long | package |
| ) |  |  |

long JUCE_MIDI_SendPitchBend | ( | int | port,
|  | char | chn,
|  | int | val |
| ) |  |  |

long JUCE_MIDI_SendPolyPressure | ( | int | port,
|  | char | chn,
|  | char | note,
|  | char | val |
| ) |  |  |

long JUCE_MIDI_SendProgramChange | ( | int | port,
|  | char | chn,
|  | char | charprg |
| ) |  |  |

long JUCE_MIDI_SendStart | ( | int | port | ) |

long JUCE_MIDI_SendStop | ( | int | port | ) |